package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RoomTypeFactory
{
    private RoomTypeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("02172A96") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("02172A96") ,com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("02172A96"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.IRoomType)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("02172A96"));
    }
}